Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.update.search
Class BaseFilter

    java.lang.Object
      org.eclipse.update.search.BaseFilter

All Implemented Interfaces:
  IUpdateSearchFilter

Direct Known Subclasses:
  BackLevelFilter, EnvironmentFilter, VersionedIdentifiersFilter

public class BaseFilter
extends Object
implements IUpdateSearchFilter

Base filter class

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0
See Also:
  `UpdateSearchRequest`, `IUpdateSearchFilter`

Constructor Summary
`BaseFilter()`

Method Summary
`boolean` | `accept(IFeature match)` Tests a feature according to this filter's criteria.
`boolean` | `accept(IFeatureReference match)` Tests a feature reference according to this filter's criteria.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseFilter

    public BaseFilter()

Method Detail

### accept

    public boolean accept(IFeature match)

  Description copied from interface: `IUpdateSearchFilter`
  Tests a feature according to this filter's criteria.

  Specified by:
    `accept` in interface `IUpdateSearchFilter`
  Parameters:
    `match` - the feature to test
  Returns:
    `true` if the feature has been accepted, `false` otherwise.

### accept

    public boolean accept(IFeatureReference match)

  Description copied from interface: `IUpdateSearchFilter`
  Tests a feature reference according to this filter's criteria. This is a prefilter that allows rejecting a feature before a potentially lengthy download.

  Specified by:
    `accept` in interface `IUpdateSearchFilter`
  Parameters:
    `match` - the feature reference to test
  Returns:
    `true` if the feature reference has been accepted, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.